summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-03-04 13:45:25 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-03-04 13:45:25 +0000
commit83180bd52bed129206bfe58b644692dd17ed1056 (patch)
tree1ead7643f4758f7e5bba18f931aaadfb6494ece8 /dev-python
parent75db68f203bed2f9a5e02c2100861b704dc124f3 (diff)
downloadbaldeagleos-repo-83180bd52bed129206bfe58b644692dd17ed1056.tar.gz
baldeagleos-repo-83180bd52bed129206bfe58b644692dd17ed1056.tar.xz
baldeagleos-repo-83180bd52bed129206bfe58b644692dd17ed1056.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/importlib_metadata/importlib_metadata-4.11.2.ebuild3
-rw-r--r--dev-python/importlib_resources/importlib_resources-5.4.0-r3.ebuild3
-rw-r--r--dev-python/jaraco-context/jaraco-context-4.1.1-r2.ebuild (renamed from dev-python/jaraco-context/jaraco-context-4.1.1-r1.ebuild)10
-rw-r--r--dev-python/jaraco-functools/jaraco-functools-3.5.0-r2.ebuild (renamed from dev-python/jaraco-functools/jaraco-functools-3.5.0-r1.ebuild)10
-rw-r--r--dev-python/jaraco-text/jaraco-text-3.7.0-r2.ebuild (renamed from dev-python/jaraco-text/jaraco-text-3.7.0-r1.ebuild)10
-rw-r--r--dev-python/zipp/zipp-3.7.0-r1.ebuild3
6 files changed, 33 insertions, 6 deletions
diff --git a/dev-python/importlib_metadata/importlib_metadata-4.11.2.ebuild b/dev-python/importlib_metadata/importlib_metadata-4.11.2.ebuild
index b17d4dd46f2c..ebb823cc3df0 100644
--- a/dev-python/importlib_metadata/importlib_metadata-4.11.2.ebuild
+++ b/dev-python/importlib_metadata/importlib_metadata-4.11.2.ebuild
@@ -1,7 +1,8 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=8
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
DISTUTILS_USE_PEP517=flit
# NB: this package extends beyond built-in importlib stuff in py3.8+
diff --git a/dev-python/importlib_resources/importlib_resources-5.4.0-r3.ebuild b/dev-python/importlib_resources/importlib_resources-5.4.0-r3.ebuild
index adb6b9bd4f77..773100d6b935 100644
--- a/dev-python/importlib_resources/importlib_resources-5.4.0-r3.ebuild
+++ b/dev-python/importlib_resources/importlib_resources-5.4.0-r3.ebuild
@@ -1,7 +1,8 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=8
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
DISTUTILS_USE_PEP517=flit
# This is a backport of Python 3.9's importlib.resources
diff --git a/dev-python/jaraco-context/jaraco-context-4.1.1-r1.ebuild b/dev-python/jaraco-context/jaraco-context-4.1.1-r2.ebuild
index 37ab82253e5d..233f673894c8 100644
--- a/dev-python/jaraco-context/jaraco-context-4.1.1-r1.ebuild
+++ b/dev-python/jaraco-context/jaraco-context-4.1.1-r2.ebuild
@@ -1,7 +1,8 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=8
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
DISTUTILS_USE_PEP517=flit
PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
@@ -35,3 +36,10 @@ src_configure() {
description = "Context managers by jaraco"
EOF
}
+
+python_install() {
+ distutils-r1_python_install
+ # rename to workaround a bug in pkg_resources
+ # https://bugs.gentoo.org/834522
+ mv "${D}$(python_get_sitedir)"/jaraco{_,.}context-${PV}.dist-info || die
+}
diff --git a/dev-python/jaraco-functools/jaraco-functools-3.5.0-r1.ebuild b/dev-python/jaraco-functools/jaraco-functools-3.5.0-r2.ebuild
index b2b2b1fd9dac..4d51feed2879 100644
--- a/dev-python/jaraco-functools/jaraco-functools-3.5.0-r1.ebuild
+++ b/dev-python/jaraco-functools/jaraco-functools-3.5.0-r2.ebuild
@@ -1,7 +1,8 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=8
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
DISTUTILS_USE_PEP517=flit
PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
@@ -47,3 +48,10 @@ src_configure() {
description = "Functools like those found in stdlib"
EOF
}
+
+python_install() {
+ distutils-r1_python_install
+ # rename to workaround a bug in pkg_resources
+ # https://bugs.gentoo.org/834522
+ mv "${D}$(python_get_sitedir)"/jaraco{_,.}functools-${PV}.dist-info || die
+}
diff --git a/dev-python/jaraco-text/jaraco-text-3.7.0-r1.ebuild b/dev-python/jaraco-text/jaraco-text-3.7.0-r2.ebuild
index a78e5e194706..d58a4cced0ee 100644
--- a/dev-python/jaraco-text/jaraco-text-3.7.0-r1.ebuild
+++ b/dev-python/jaraco-text/jaraco-text-3.7.0-r2.ebuild
@@ -1,7 +1,8 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=8
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
DISTUTILS_USE_PEP517=flit
PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
@@ -46,3 +47,10 @@ src_configure() {
description = "Module for text manipulation"
EOF
}
+
+python_install() {
+ distutils-r1_python_install
+ # rename to workaround a bug in pkg_resources
+ # https://bugs.gentoo.org/834522
+ mv "${D}$(python_get_sitedir)"/jaraco{_,.}text-${PV}.dist-info || die
+}
diff --git a/dev-python/zipp/zipp-3.7.0-r1.ebuild b/dev-python/zipp/zipp-3.7.0-r1.ebuild
index d93d16cf9d74..9dbb0a617ed7 100644
--- a/dev-python/zipp/zipp-3.7.0-r1.ebuild
+++ b/dev-python/zipp/zipp-3.7.0-r1.ebuild
@@ -1,7 +1,8 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=8
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
DISTUTILS_USE_PEP517=flit
PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )